KeymapManager (jEdit API Documentation)
Date: 2018-04-10

org.jedit.keymap

## Interface KeymapManager

- All Known Implementing Classes:
    KeymapManagerImpl

      public interface KeymapManager

  Since:
    jEdit 5.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `KeymapManager.State` The states of the keymaps

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_KEYMAP_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `copyKeymap(java.lang.String name, java.lang.String newName)` Copy the keymap to another one
    `void` | `deleteUserKeymap(java.lang.String name)` Delete a user keymap.
    `Keymap` | `getKeymap()` Returns the current keymap.
    `Keymap` | `getKeymap(java.lang.String name)` Returns the keymap with that name.
    `java.util.Collection<java.lang.String>` | `getKeymapNames()`
    `KeymapManager.State` | `getKeymapState(java.lang.String name)` Returns the state of the keymap
    `void` | `reload()`
    `void` | `resetKeymap(java.lang.String name)` Reset the keymap to it's original state if it was a modified system keymap

- - ### Field Detail

    - #### DEFAULT_KEYMAP_NAME

          static final java.lang.String DEFAULT_KEYMAP_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getKeymap

          Keymap getKeymap()

      Returns the current keymap.
      Returns:
        the current keymap

    - #### reload

          void reload()

    - #### getKeymapNames

          java.util.Collection<java.lang.String> getKeymapNames()

    - #### getKeymap

          Keymap getKeymap(java.lang.String name)

      Returns the keymap with that name.
      Parameters:
        `name` - the keymap name
      Returns:
        the user keymap of that name, if it exists, or the system keymap if it doesn't. If none exists `null` is returned

    - #### getKeymapState

          KeymapManager.State getKeymapState(java.lang.String name)

      Returns the state of the keymap
      Parameters:
        `name` - the name of the keymap
      Returns:
        a state.

    - #### resetKeymap

          void resetKeymap(java.lang.String name)

      Reset the keymap to it's original state if it was a modified system keymap
      Parameters:
        `name` - the keymap name

    - #### deleteUserKeymap

          void deleteUserKeymap(java.lang.String name)

      Delete a user keymap.
      Parameters:
        `name` - the keymap name

    - #### copyKeymap

          boolean copyKeymap(java.lang.String name,
                             java.lang.String newName)

      Copy the keymap to another one
      Parameters:
        `name` - the original keymap
        `newName` - the new keymap